let fs = require('fs');
//excel的名字
const excelName = "数据模板";


let sheetNameList = ["sheet1", "sheet2"];

//创建data层
function createData() {
    let str = `
    import * as path from "path";
    import * as fs from "fs";
    import { BizError } from "../util/bizError";
    import { limitEnteNameString } from "../util/tools";
    import { getExcelDataBySheetName, analysisExcelDataOfObject } from "../util/analysisExcel";`;



    for (let i = 0; i < sheetNameList.length; i++) {
        let sheetName = sheetNameList[i];
    str += `

    export function get${sheetName}() {;
        let bolckDataList = getExcelDataBySheetName('${excelName}', '${sheetName}');
        let result = {};
        for (let i = 0; i < bolckDataList.length; i++) {
            let {blockData, blockTitle} = bolckDataList[i];
            let analysisData = analysisExcelDataOfObject(blockData, true, true);
            result[blockTitle] = analysisData;
        }
        
        return result;
    }`;
    }

    let path = `./data/analysisExcelData.ts`;
    fs.access(path, (err) => {
        if (!err) {
            console.error(path, "文件已存在");
            return;
        }
        
        fs.writeFileSync(path,  str);
        console.log(path, "创建文件成功")
    });
}



createData();



//创建 biz层

